Globalusage reported broken on 1.18
Closed, ResolvedPublic

Description

http://commons.wikimedia.org/wiki/Commons:Village_pump#Global_usage

Hello, Is there an issue with the "Global usage" track of files on other Wikimedia projects? No more information is displayed (example, for a file used in WP in various languages). --Myrabella (talk) 12:05, 5 October 2011 (UTC)

This function doesn't seem to work after the switcover to 1.18. SpacemanSpiff (talk) 13:55, 5 October 2011 (UTC)

Side-effect: Apparently files renamed get not replaced with their renamed version by delinker. Evidence: We have moves (at least some files will be in use) but we have no new replace requests due to renames. Messy! Btw: delinks due to deletions seem to work. --Saibo (Δ) 16:45, 5 October 2011 (UTC)


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz31383.
TheDJ created this task.Via LegacyOct 5 2011, 4:53 PM
Reedy added a comment.Via ConduitOct 5 2011, 4:59 PM
  • Bug 31384 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitOct 5 2011, 5:00 PM

saibotrash wrote:

Example: [[:de:Datei:Ruhr-steele-abend.jpg#filelinks|file is in use in dewp]]
but [[:File:Ruhr-steele-abend.jpg#filelinks|not recognized by Commons]]
[//commons.wikimedia.org/w/index.php?title=Special:GlobalUsage&target=Ruhr-steele-abend.jpg
at all].

Side-effect: ''Apparently'' files renamed get not replaced with their renamed
version by delinker. Evidence: [[Special:Log/move|We have moves]] (at least
some files will be in use) but we
[commons.wikimedia.org/w/index.php?title=User_talk:CommonsDelinker/commands&action=history
have]
[
commons.wikimedia.org/w/index.php?title=User:CommonsDelinker/commands&action=history
no] new replace requests due to renames. Messy! Btw:
[http://toolserver.org/~delinker/index.php delinks] due to deletions
[//pt.wikipedia.org/w/index.php?title=Roda_Antar&diff=27155181&oldid=27154954
seem to work].

bzimport added a comment.Via ConduitOct 5 2011, 5:02 PM

Bryan.TongMinh wrote:

It's also broken on 1.17 wikis.

bzimport added a comment.Via ConduitOct 6 2011, 7:19 AM

Bryan.TongMinh wrote:

Can anybody check whether the globalimagelinks table is empty?

aaron added a comment.Via ConduitOct 7 2011, 11:22 PM

(In reply to comment #4)

Can anybody check whether the globalimagelinks table is empty?

The whole table? No.

http://commons.wikimedia.org/w/index.php?title=Special%3AGlobalUsage&limit=50&target=Date+mark+of+Nagasaki+bomb.jpg

aaron@fenari:~/common/php-1.18/includes/media$ mwscript sql.php commonswiki

SELECT * FROM globalimagelinks WHERE gil_to = 'Date_mark_of_Nagasaki_bomb.jpg';

stdClass Object
(

[gil_wiki] => dewiki
[gil_page] => 6147565
[gil_page_namespace_id] => 0
[gil_page_namespace] =>
[gil_page_title] => Friedenspark (Nagasaki)
[gil_to] => Date_mark_of_Nagasaki_bomb.jpg

)
stdClass Object
(

[gil_wiki] => enwiki
[gil_page] => 4322728
[gil_page_namespace_id] => 0
[gil_page_namespace] =>
[gil_page_title] => Nagasaki_Peace_Park
[gil_to] => Date_mark_of_Nagasaki_bomb.jpg

)
stdClass Object
(

[gil_wiki] => enwiki
[gil_page] => 11778948
[gil_page_namespace_id] => 0
[gil_page_namespace] =>
[gil_page_title] => Atomic_bombings_of_Hiroshima_and_Nagasaki
[gil_to] => Date_mark_of_Nagasaki_bomb.jpg

)
...[a few more results]

aaron added a comment.Via ConduitOct 7 2011, 11:23 PM

As shown above, the link given reports "no links" yet there are in fact in the DB.

aaron added a comment.Via ConduitOct 8 2011, 12:09 AM

Fixed in r99283.

MarkAHershberger added a comment.Via ConduitOct 15 2011, 10:03 PM

tagging bugs for Marcus to look at

MarkTraceur added a project: Multimedia.Via WebDec 3 2014, 6:25 PM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:20 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.